<?php

/**
 * inf_medida_cautelar actions.
 *
 * @package    cobro_coactivo
 * @subpackage inf_medida_cautelar
 * @author     ManuelEnriqueParedesLopez
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class inf_medida_cautelarActions extends sfQuery {
    /*
     * ------------VARIABLES PARA SERVICIOS DE CONSULTA - LIST
     */

    protected $table_names = array(
        'CBR_MEDIDA_CAUTELAR',
        'CBR_REMISION_TITULO',
        'CBR_TITULO_MINERO_V',
        'CBR_ACTUALIZA_TITULO_V',
        'CBR_ACTUACION_PROC',
        'CBR_BIEN_EMBARGADO'
    ); //tablas para construir el sql, por medio de joins
    protected $table_join_ids = array(
        'CBR_REMISION_TITULO' =>
        array(
            'id_remision_titulo' => 'CBR_MEDIDA_CAUTELAR'
        ),
        'CBR_TITULO_MINERO_V,LEFT' =>
        array(
            'cod_titulo' => 'CBR_REMISION_TITULO'
        ),
        'CBR_ACTUALIZA_TITULO_V,LEFT' =>
        array(
            'cod_titulo' => 'CBR_REMISION_TITULO'
        ),
        'CBR_BIEN_EMBARGADO,LEFT'=>
        array(
            'id_bien_embargado'=>'CBR_MEDIDA_CAUTELAR'
        )
    ); //si posee tablas para joins, identificar la relacion de los campos con las tablas
    protected $fields = array(
        'CBR_MEDIDA_CAUTELAR' =>
        array(
            'id_medida_cautelar' => 'id_medida_cautelar',
            'id_remision_titulo' => 'id_remision_titulo',
            'no_auto' => 'no_auto',
            'fecha_auto' => 'fecha_auto',
            'detalle_plantilla'=>'detalle_plantilla',
            'observaciones' => 'observaciones',
            'adjunto' => 'adjunto',
            'id_bien_embargado'=>'id_bien_embargado',
            'id_tipo_documento'=>'id_tipo_documento'
        ),
        'CBR_REMISION_TITULO' =>
        array(
            'numero_remision' => 'numero_remision',
            'anho_remision' => 'anho_remision',
            'fecha_remision' => 'fecha_remision',
            'estado' => 'estado_remision_titulo',
            'cod_titulo' => 'cod_titulo'
        ),
        'CBR_TITULO_MINERO_V' =>
        array(
            'mineral' => 'mineral_deb',
            'id_debito' => 'id_debito',
            'id_mineral' => 'id_mineral_deb'
        ),
        'CBR_ACTUALIZA_TITULO_V' =>
        array(
            'mineral' => 'mineral',
            'id_mineral' => 'id_mineral',
            'cod_mineral' => 'cod_mineral'
        ),
        'CBR_BIEN_EMBARGADO'=>
        array(
            'descripcion'=>'tipo_bien_embargado'
        )
    ); //por cada tabla especificar los campos del select
    protected $fields_orderBy = array(
        'id_medida_cautelar'
    ); //campos para el ordenamiento de la consulta
    /*
     * OPCIONES DE FILTRO:
     *
     * LIKEALLPLUS- busqueda comparativa de la cadena dividida por los espacios en blanco en cualquier posición
     * LIKEALL - busqueda comparativa de la cadena en cualquier posición
     * LIKE - busqueda en la cadena que inicie por la variable de filtro
     *
     * rownum,start - rownum,end / estos campos para uso del Grid live GWT, numero fijo de filas de consulta
     */
    protected $table_field_conditions = array(
        'CBR_MEDIDA_CAUTELAR' =>
        array(
            'id_medida_cautelar,a' => array('!=' => array(-1)),
            'id_medida_cautelar,b' => array('=' => array('id_medida_cautelar')),
            'id_remision_titulo' => array('=' => array('id_remision_titulo')),
            'id_bien_embargado' => array('=' => array('id_bien_embargado')),
            'fecha_auto' => array('BETWEENFECHA' => array('fecha_ini', 'fecha_fin')),
            'rownum,start' => array('>' => array('_startRow')),
            'rownum,end' => array('<=' => array('_endRow'))
        ),
        'CBR_REMISION_TITULO' =>
        array(
            'cod_titulo' => array('=' => array('cod_titulo')),
            'numero_remision' => array('=' => array('numero_remision')),
            'numero_correpondencia' => array('=' => array('numero_correpondencia'))
        )
    ); //por cada tabla se dan los campos, opcion de filtro y variable que entra para los posibles filtros
    protected $table_field_or_conditions = array(
    ); // filtros de condicion or
    /*
     * Variable manejo de log
     */
    //true - consulta de menu administracion
    protected $is_admin = true;
    //si es servicio para filtro agregar campo
//    protected $filtro = 'Perfiles';
    //true - la tabla principal de busqueda no es una vista
    protected $is_filtro = true;
    /*
     * ------------VARIABLES PARA SERVICIOS CRUD
     */
    protected $id_name = 'id_medida_cautelar'; //identificador de la tabla
    protected $id_names = array('id_medida_cautelar'); //llave primaria
    protected $field_names = array('id_remision_titulo', 'no_auto', 'fecha_auto', 'detalle_plantilla', 'observaciones', 'adjunto', 'id_bien_embargado',
        'id_tipo_documento','fecha_log','usuario_log','fecha_aprueba','usuario_aprueba'); //campos de la tabla, sin la llave primaria
    protected $table_name = 'CBR_MEDIDA_CAUTELAR'; //tabla en la cual se aplican los cambios 
    /*
     * Manejo de registro log
     */
    protected $id_unico = 'id_medida_cautelar'; //identificador unico de la tabla

    protected function postprocessRequest($Action, \sfWebRequest $request, $list_data_post) {
        /*
         * Se instancia la clase del manejo del log
         */
        $logger = sfContext::getInstance()->getLogger();
        $logger->info("Entro a postprocessRequest - " . $list_data_post);
        /*
         * Procesar Request
         */
        //accion add
        if ($Action == "ADD") {

        }

        //accion update
        if ($Action == "UPDATE") {
            
        }

        //accion remove
        if ($Action == "REMOVE") {
            
        }

        return $request;
    }

    protected function preprocessRequest($Action, \sfWebRequest $request) {
        /*
         * Se instancia la clase del manejo del log
         */
        $logger = sfContext::getInstance()->getLogger();
        $logger->info("Entro a preprocessRequest");

        /*
         * Procesar Request
         */
        //accion add
        if ($Action == "ADD") {

        }

        //accion update
        if ($Action == "UPDATE") {
            
        }

        //accion remove
        if ($Action == "REMOVE") {
            
        }

        return $request;
    }

    protected function validateAdd(\sfWebRequest $request) {
        //valor por defecto
        $errors = null;


        /*
         *  Generar errores en $errors
         */

        return $errors;
    }

    protected function validateRemove(\sfWebRequest $request) {
        //valor por defecto
        $errors = null;

        /*
         *  Validar la operación, ya sea por SQL
         */

        /*
         *  Generar errores en $errors
         */

        return $errors;
    }

    protected function validateUpdate(\sfWebRequest $request) {
        //valor por defecto
        $errors = null;

        /*
         *  Validar la operación, ya sea por SQL
         */

        /*
         *  Generar errores en $errors
         */

        return $errors;
    }
    
    
    

}
